<template lang="pug">
  .root(
    :data-delay="delay"
  )
    .over(
      @click="$emit('close')"
    )
    .content(
      :data-width="width"
    )
      slot
</template>
<script>
export default {
  name: 'PhotoTabel',
  props: {
    classes: {
      type: Array,
      default: () => []
    },
    width: String,
    delay: String
  },
  //インスタンスが生成された後に実行
  created() {},
  //インスタンスがマウントされたちょうど後
  mounted: function() {}
}
</script>

<style lang="stylus" scoped>
.root
  display: block
  .content
    z-index: $z-modal-content
    position: fixed
    // ↑ 楽したいので absoluteしない
    top: 10px
    left: 0
    right: 0
    bottom: 10px
    margin: auto
    width: calc(100% - 20px)
    +sp-pad()
      width: 90%
    +pad-pc()
      width: 600px
    +pc()
      width: 600px
    .content[data-width="narrow"]
      +sp-pad()
        width: 300px
      +pad-pc()
        width: 500px
      +pc()
        width: 500px

  .over
    position: fixed
    top: 0
    left: 0
    z-index: $z-modal-over
    width: 100%
    height: 100%
    background-color: $c-modal-over
</style>